Đến nội dung


Hình ảnh

làm thế nào để hợp đường tròn và đường thẳng chạm nhau thành 1 vậy các anh!


  • Please log in to reply
5 replies to this topic

#1 cdt0031

cdt0031

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 May 2013 - 02:10 PM

khi vẽ ban CAD em gặp truờng hợp thế này,cần tạo ra 1 hình gồm 1 đường tròn và đường thẳng,em dung lệnh pedit mà không được.các sư phụ giúp em với, vì em cần copy ra rật nhiều hình nên không làm thủu công được.


  • 0

#2 lyky

lyky

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: 126 (tàm tạm)

Đã gửi 10 May 2013 - 02:59 PM

khi vẽ ban CAD em gặp truờng hợp thế này,cần tạo ra 1 hình gồm 1 đường tròn và đường thẳng,em dung lệnh pedit mà không được.các sư phụ giúp em với, vì em cần copy ra rật nhiều hình nên không làm thủu công được.

 
Trước tiên, không biết được là 2 đối tượng (đường tròn & đường thẳng) có giao nhau thành một đường liên tục hở hay không nữa, bạn có thể làm cách này thử nhé:
 
1. Tạo thành Block, nhiều cách - nếu không quan trọng lắm bạn có thể tạo nhanh Block "không tên" bằng cách: Tô chọn đối tượng, chuột phải, copy (hoặc copy with Base point), Chọn một insertpoint (hoặc không), Ctrl+Shift+V vào một vị trí bất kỳ. Hoặc nếu quan trọng thì bạn nên tạo Block bằng lệnh B (Block)... Khi đó, bạn có thể thao tác với nó thuận tiện hơn!
 
2. Dùng LISP sau đây (mình sưu tầm trên diễn đàn này hay ở đâu đó!?) để tạo thành một Pline (trong trường hợp: có giao nhau thành một đường liên tục hở)
 
(defun C:CPL (/ tdt ssdt sodt index)
(setq tdt (ssget)   sodt (sslength tdt)   index 0)
(repeat sodt
(setq ssdt (ssname tdt index)   index (1+ index))
(if (or (= (Objname ssdt) "LWPOLYLINE")  (= (Objname ssdt) "POLYLINE"))  (NoiPL ssdt))
(if (or (= (Objname ssdt) "LINE") (= (Objname ssdt) "ARC")) (NoiLC ssdt)))    (princ))
(defun ObjName (ssdt /) (cdr (assoc '0 (entget ssdt))))
(defun MoPL (ssdt /) (= (cdr (assoc '70 (entget ssdt))) 0))
(defun NoiPL (ssdt /) (if (MoPL ssdt) (command ".PEDIT" ssdt "J" "All" "" "X")))
(defun NoiLC (ssdt /) (command ".PEDIT" ssdt "Y" "J" "All" "" "X"))
Goodluck!
  • 2

22665_13x13progress.gif   22665_lyky.gif   22665_13x13progress.gif


#3 tinya1225

tinya1225

    biết lệnh copy

  • Members
  • PipPipPip
  • 114 Bài viết
Điểm đánh giá: 34 (tàm tạm)

Đã gửi 10 May 2013 - 03:01 PM

Bạn có thể dùng lệnh BLOCK để gộp nhiều đối tượng thành 1 khối. Đọc về BLOCK trên diễn đàn v làm theo ^^

Còn nhanh hơn có thể dùng lệnh GROUP.

Mỗi lệnh có 1 ưu điểm nhược điểm riêng nhưng đều thoả mãn yêu cầu của bạn. GL.


  • 0
Thấy bài có ích thì ấn thật nhiều Thank + các bác nhé^^

#4 cdt0031

cdt0031

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 May 2013 - 04:52 PM

cảm ơn các anh nhé ! đường thẳng và đường tròn của em chỉ giao nhau tại 1 điểm thôi,cái mục đích của em ở đây chỉ muốn gắn 2 hình lại để thực hiện việc copy hoặc move thuận lợi. Em muốn dùng lệnh chứ dùng lisp em không quen,hi!


  • 0

#5 tinya1225

tinya1225

    biết lệnh copy

  • Members
  • PipPipPip
  • 114 Bài viết
Điểm đánh giá: 34 (tàm tạm)

Đã gửi 10 May 2013 - 11:39 PM

Cảm ơn suông ah @_@. Thanks+ cái chứ nhỉ ^^


  • 0
Thấy bài có ích thì ấn thật nhiều Thank + các bác nhé^^

#6 nguyenngoc971

nguyenngoc971

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 385 Bài viết
Điểm đánh giá: 74 (tàm tạm)

Đã gửi 14 May 2013 - 05:42 PM

Vậy bạn dùng lệnh Grup đi : +G

Khi muốn phá thì : X


  • 0

114123_building_folds_demolition.gif